QTPlasmaC can't find Python3-serial

More
01 Nov 2023 19:01 #284277 by donell
Hi,
I have been trying to get my QTPlasmaC to talk to my Hytertherm 45 using the RS485 interface.
I am running QTPlasmaC with Buster.

I can get the interface to work with the test program which indicates the RS485 is working OK but when I generate a simple config including the Powermax port using the PNCconf Wizard and try and run it  get the following error message:-

--- QtVCP Screen Started on: Tue, Oct 31 2023 19:49:19 ---
--- my_LinuxCNC_machine - QtPlasmaC v1.236.290, powered by QtVCP on LinuxCNC v2.10.0-pre0-2069-g9de3c86d4 ---
Tue31 19:49: Module Error:
python3-serial cannot be found
Install python3-serial or linuxcnc-dev
Tue31 19:49: Tool 0: torch

I have tried installing python3-serial but it tells me it is already installed.
I can run a configuration without a Powermax port defined just fine, but with the Powermax port set it will not work.
If anyone had any idea what is causing this fault I would be very grateful for some advice.
Many thanks

Please Log in or Create an account to join the conversation.

More
01 Nov 2023 21:00 #284282 by bkt
maybe you have 3.4 and need 3.6 ....or 3.8 .... verify these first. .... $ python3 -version

Please Log in or Create an account to join the conversation.

More
01 Nov 2023 22:41 #284292 by phillc54
Can you try starting linuxcnc from a terminal to see if there are any other error messages or warnings.
 

Please Log in or Create an account to join the conversation.

More
02 Nov 2023 17:41 #284351 by donell
Thanks for the replies.
phillc54.  Did as suggested.  Everything looks ok except for the last few lines:-

hm2/hm2_7i96s.0: registered
Found file(lib): /usr/share/linuxcnc/hallib/qtplasmac_comp.hal
Found file(REL): ./custom.hal
Starting DISPLAY program: qtvcp
USRMOT: ERROR: command 30 timeout
emcMotionInit: emcTrajInit failed

Looks like the problem is in qtvcp - which is not really a surprise.

bkt.  Python version is 3.7.3.  I'm not sure if that is adequate or not.

Any further ideas?

Thanks
Don

Please Log in or Create an account to join the conversation.

More
02 Nov 2023 23:18 #284397 by snowgoer540
what is the output of:
apt show python3-serial | grep -i version

 

Please Log in or Create an account to join the conversation.

More
03 Nov 2023 09:48 #284424 by donell
snowgoer540 -
Output fromapt show python3-serial | grep -i versionis
python3-serial is version 3.4-4

Don

Please Log in or Create an account to join the conversation.

More
03 Nov 2023 09:49 #284425 by donell
snowgoer540 -
Output from
    apt show python3-serial | grep -i version
is
   Version: 3.4-4

Don

Please Log in or Create an account to join the conversation.

More
03 Nov 2023 15:35 #284465 by snowgoer540
Are you running a RIP or a package install?

This may be failing somewhere else in the section of code that is wrapped in a try/except, and might not have anything to do with the “missing” package.

From a terminal can you do the follow:
python3
(Press enter)

Type:
import serial
(Press enter)

If that doesn’t produce an error, type this:
import serial.tools.list_ports as PORTS
(press enter)

If neither of those cause an error message, then it’s failing elsewhere and I will make some mods to the handler to give us more robust error messages to figure out the issue.

You can get out of the python session by typing quit()

Let me know the results, please.

Please Log in or Create an account to join the conversation.

More
03 Nov 2023 16:37 #284475 by tommylight
Try this
sudo apt purge brltty*
Reboot and test.
-
This should be the first thing to try on any Linux when having issues with serial!!!
-
This has become a must in my experience as all the new-ish Linux distros will install brltty by default if any fancier keyboard is detected, and that in turn will stop anything serial working, /dev/serial/ will remain empty no matter how many stuff is plugged in and out.
If you get access denied, a quick search for arduino serial access will show how to deal with it by adding your user to "dialout" group, and in some cases using chmod to change permissions is needed, but rarely.
The following user(s) said Thank You: snowgoer540

Please Log in or Create an account to join the conversation.

More
03 Nov 2023 16:44 #284477 by snowgoer540
I didn’t know that, great advice Tommy!

I just ask that before he does that he does my check. I want to make sure the try/except is failing outside of the imports.

Then we can go on to make a better error message, perhaps with your recommendation if it comes to solve his problem.

:)

Please Log in or Create an account to join the conversation.

Moderators: snowgoer540
Time to create page: 0.095 seconds
Powered by Kunena Forum